Skip to main content
Infrastructure/Lifecycle
POSTLifecycleSince 1.0SynchronousAuth Required

ScaleCluster

Scale the cluster from single-node deployment to HA by adding nodes

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • nodesListRequired

    Nodes to add before scaling the cluster to HA

    Example: (nested array)

    • hostString

      Host or IP address of the node to add

      Example: 172.24.253.84

    • sshPortInteger

      SSH port of the node to add

      Example: 22

    • sshUserString

      SSH user for deploying LCA on the node

      Example: root

    • sshPasswordString

      SSH password for deploying LCA on the node

      Example: value

    • sshKeyString

      SSH private key for deploying LCA on the node

      Example: value

    • sshHostKeyString

      Pinned SSH host public key for verifying the node before sending credentials

      Example: value

Responses

200 OK

On success, this API returns the following response structure.

  • taskIdString

    Task ID tracking the asynchronous cluster scale operation

    Example: task-a1b2c3d4-e5f6-7890-abcd-ef1234567890

Endpoint

POST/api/v1/lifecycle/components/scale

/api/v1/lifecycle/components/scale

Operation ID

ScaleCluster

Permalink

Request Example

curl -X POST '{host}/api/v1/lifecycle/components/scale' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"nodes":[{"host":"node-2.example.com","sshUser":"root","sshPort":22},{"host":"node-3.example.com","sshUser":"root","sshPort":22}]}'

Response Example

200
{
  "taskId": "task-a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Change History

This API has no change history records yet.

View all change history